<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetEventDescription Method (IEdmHistory3)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmHistory3 Interface : GetEventDescription Method (IEdmHistory3)

Visual Basic
C#
C++/CLI

historyItem
  EdmHistoryItem (see Remarks)

eLancode
  Localization language as defined in EdmLangCode

Gets the event description for the specified history item in the specified language.

# Syntax

Visual Basic |
--- | ---

    Function GetEventDescription( _
       ByRef historyItem As EdmHistoryItem, _
       Optional ByVal eLancode As EdmLangCode _
    ) As System.String

C# |
--- | ---

    System.string GetEventDescription(
       ref EdmHistoryItem historyItem,
       EdmLangCode eLancode
    )

C++/CLI |
--- | ---

    System.String^ GetEventDescription(
    &   EdmHistoryItem% historyItem,
    &   EdmLangCode eLancode
    )

#### Parameters

historyItem
  EdmHistoryItem (see Remarks)
eLancode
  Localization language as defined in EdmLangCode

#### Return Value

History item event description

# Example

See the IEdmHistory3 examples.

# Remarks

Before calling this method, call IEdmHistory3::GetSortedHistory to specify a historyItem.

# See Also

####

IEdmHistory3 Interface
IEdmHistory3 Members

# Availability

SOLIDWORKS PDM Professional 2020